<div class="container">
  <div class="page-header">
    <h3>Location Details</h3>
  </div>
</div>

<div class="container">
  <table class="table table-striped">
    <thead>
    <tr>
      <th class="text-center">Name</th>
      <th class="text-center">Address</th>
      <th class="text-center">Actions</th>
    </tr>
    </thead>
    <tr>
      <td><%= @location.name %></td>
      <td><%= @location.address %></td>
      <td class="text-center">
        <%= link_to "Edit", edit_location_path(@location), class: 'label label-success'%>
        <%= link_to "Delete", @location, method: :delete, data: { confirm: "Are you sure?" }, class: 'label label-danger' %>
      </td>
    </tr>
  </table>
</div>
<br/><br/>

<div class="container">
  <div class="container">
    <div class="page-header">
      <h5>Device Information</h5>
    </div>
  </div>
  <div class="container">
    <table class="table table-striped">
      <thead>
      <tr>
        <th class="text-center">Device-Id</th>
        <th class="text-center">Name</th>
        <th class="text-center">Description</th>
        <th class="text-center">Actions</th>
      </tr>
      </thead>
      <%= render @location.devices %>
    </table>
  </div>
  <br/><br/>
  <div class="container">
    <div class="page-header">
      <h5>Add a device</h5>
    </div>
  </div>
  <div class="container">
    <%= render 'devices/form', button_text: "New Location" %>
  </div>
  <div class="container">
    <%= link_to 'Back', locations_path, class: 'label label-primary' %>
  </div>
</div>


